/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { WebGridBaseDirectiveDescription } from "./WebGridBaseDirectiveDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var WebGridDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(WebGridDescription, _super);
    function WebGridDescription() {
        var _this = _super.call(this) || this;
        _this.hl = false;
        _this.hz = null;
        _this.hx = null;
        _this.h4 = null;
        _this.hf = null;
        _this.hw = null;
        _this.ht = null;
        _this.hr = 0;
        _this.he = null;
        _this.hd = null;
        _this.hm = false;
        _this.hj = null;
        _this.hy = null;
        _this.h1 = null;
        _this.h3 = null;
        _this.h0 = null;
        _this.hn = false;
        _this.hv = null;
        _this.h2 = null;
        return _this;
    }
    WebGridDescription.prototype.get_type = function () {
        return "WebGrid";
    };
    Object.defineProperty(WebGridDescription.prototype, "groupsExpanded", {
        get: function () {
            return this.hl;
        },
        set: function (a) {
            this.hl = a;
            this.g("GroupsExpanded");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebGridDescription.prototype, "dropAreaTemplateRef", {
        get: function () {
            return this.hz;
        },
        set: function (a) {
            this.hz = a;
            this.g("DropAreaTemplateRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebGridDescription.prototype, "detailTemplateRef", {
        get: function () {
            return this.hx;
        },
        set: function (a) {
            this.hx = a;
            this.g("DetailTemplateRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebGridDescription.prototype, "id", {
        get: function () {
            return this.h4;
        },
        set: function (a) {
            this.h4 = a;
            this.g("Id");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebGridDescription.prototype, "groupsRecords", {
        get: function () {
            return this.hf;
        },
        set: function (a) {
            this.hf = a;
            this.g("GroupsRecords");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebGridDescription.prototype, "dataRef", {
        get: function () {
            return this.hw;
        },
        set: function (a) {
            this.hw = a;
            this.g("DataRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebGridDescription.prototype, "filteredData", {
        get: function () {
            return this.ht;
        },
        set: function (a) {
            this.ht = a;
            this.g("FilteredData");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebGridDescription.prototype, "totalItemCount", {
        get: function () {
            return this.hr;
        },
        set: function (a) {
            this.hr = a;
            this.g("TotalItemCount");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebGridDescription.prototype, "groupingExpressions", {
        get: function () {
            return this.he;
        },
        set: function (a) {
            this.he = a;
            this.g("GroupingExpressions");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebGridDescription.prototype, "groupingExpansionState", {
        get: function () {
            return this.hd;
        },
        set: function (a) {
            this.hd = a;
            this.g("GroupingExpansionState");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebGridDescription.prototype, "hideGroupedColumns", {
        get: function () {
            return this.hm;
        },
        set: function (a) {
            this.hm = a;
            this.g("HideGroupedColumns");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebGridDescription.prototype, "groupStrategy", {
        get: function () {
            return this.hj;
        },
        set: function (a) {
            this.hj = a;
            this.g("GroupStrategy");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebGridDescription.prototype, "dropAreaMessage", {
        get: function () {
            return this.hy;
        },
        set: function (a) {
            this.hy = a;
            this.g("DropAreaMessage");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebGridDescription.prototype, "groupByRowSelectorTemplateRef", {
        get: function () {
            return this.h1;
        },
        set: function (a) {
            this.h1 = a;
            this.g("GroupByRowSelectorTemplateRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebGridDescription.prototype, "groupRowTemplateRef", {
        get: function () {
            return this.h3;
        },
        set: function (a) {
            this.h3 = a;
            this.g("GroupRowTemplateRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebGridDescription.prototype, "groupAreaTemplateRef", {
        get: function () {
            return this.h0;
        },
        set: function (a) {
            this.h0 = a;
            this.g("GroupAreaTemplateRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebGridDescription.prototype, "showGroupArea", {
        get: function () {
            return this.hn;
        },
        set: function (a) {
            this.hn = a;
            this.g("ShowGroupArea");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebGridDescription.prototype, "dataPreLoadRef", {
        get: function () {
            return this.hv;
        },
        set: function (a) {
            this.hv = a;
            this.g("DataPreLoadRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WebGridDescription.prototype, "groupingDoneRef", {
        get: function () {
            return this.h2;
        },
        set: function (a) {
            this.h2 = a;
            this.g("GroupingDoneRef");
        },
        enumerable: false,
        configurable: true
    });
    WebGridDescription.$t = markType(WebGridDescription, 'WebGridDescription', WebGridBaseDirectiveDescription.$);
    return WebGridDescription;
}(WebGridBaseDirectiveDescription));
export { WebGridDescription };
